Subject: bug#5814 closed by Chong Yidong <[email-masked]> (Re: bug#5814: 23.1.93; Compile Emacs on Mac OS 10.4)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 31 Mar 2010 22:32:02 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#5814: 23.1.93; Compile Emacs on Mac OS 10.4

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
5814: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5814
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5814: 23.1.93; Compile Emacs on Mac OS 10.4
From: Chong Yidong <[email-masked]>
To: Alex Schroeder <[email-masked]>
Cc: [email-masked], "Randal L. Schwartz" <[email-masked]>
Date: Wed, 31 Mar 2010 18:30:58 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I've merged the fix from the branch.

Subject: 23.1.93; Compile Emacs on Mac OS 10.4
From: Alex Schroeder <[email-masked]>
To: [email-masked]
Date: Wed, 31 Mar 2010 21:44:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I just tried to build Emacs on my desktop running Mac OS 10.4.

At first I just ran make again in my source directory, then I tried
./configure --with-ns and make again, but in both cases the build did
not go through and ended with the following:

gcc -c  -Demacs -DHAVE_CONFIG_H  -I. -I/Users/alex/Source/emacs/quickfixes/src -Dtemacs     -g -O2 -Wdeclaration-after-statement -Wno-pointer-sign   -MMD -MF deps/nsterm.d nsterm.m
nsterm.m: In function 'x_set_window_size':
nsterm.m:1192: warning: ISO C90 forbids mixed declarations and code
nsterm.m: In function 'ns_draw_fringe_bitmap':
nsterm.m:2203: warning: ISO C90 forbids mixed declarations and code
nsterm.m: In function '-[EmacsScroller judge]':
nsterm.m:5761: warning: ISO C90 forbids mixed declarations and code
gcc -c  -Demacs -DHAVE_CONFIG_H  -I. -I/Users/alex/Source/emacs/quickfixes/src -Dtemacs     -g -O2 -Wdeclaration-after-statement -Wno-pointer-sign   -MMD -MF deps/nsfns.d nsfns.m
nsfns.m: In function 'ns_get_screen':
nsfns.m:227: warning: assignment makes pointer from integer without a cast
nsfns.m: At top level:
nsfns.m:690: error: conflicting types for 'ns_set_doc_edited'
nsterm.h:712: error: previous declaration of 'ns_set_doc_edited' was here
nsfns.m: In function 'Fx_display_color_cells':
nsfns.m:2377: warning: ISO C90 forbids mixed declarations and code
make[1]: *** [nsfns.o] Error 1
make: *** [src] Error 2